Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Plugin.name
Bundle-SymbolicName: org.eclipse.emf.teneo.samples;singleton:=true
Automatic-Module-Name: org.eclipse.emf.teneo.samples
Bundle-Version: 1.1.2.qualifier
Bundle-Localization: plugin
Require-Bundle: org.eclipse.emf.ecore;bundle-version="2.7.0";visibility:=reexport,
 org.eclipse.emf.ecore.xmi;visibility:=reexport,
 org.eclipse.core.runtime,
 org.eclipse.core.resources;visibility:=reexport,
 org.eclipse.emf.edit.ui;visibility:=reexport,
 org.eclipse.ui.ide;visibility:=reexport
Bundle-ActivationPolicy: lazy
Eclipse-BuddyPolicy: dependent
Bundle-Vendor: %Plugin.providerName
Export-Package: com.example.car;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 com.example.car.impl;
  uses:="org.eclipse.emf.ecore.impl,
   com.example.car,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 com.example.car.model,
 com.example.car.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   com.example.car,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 com.example.car.validation;
  uses:="com.example.car,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 com.ibm.websphere.appserver.schemas._6._0.ibm.portal.test,
 com.ibm.websphere.appserver.schemas._6._0.ibm.portal.test.impl,
 com.ibm.websphere.appserver.schemas._6._0.ibm.portal.test.util,
 com.ibm.websphere.appserver.schemas._6._0.ibm.portal.test.validation,
 extlibrary;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 extlibrary.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   extlibrary,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 extlibrary.model,
 extlibrary.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   extlibrary,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 fleet,
 fleet.impl,
 fleet.util,
 lobj;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 lobj.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   lobj,
   org.eclipse.emf.ecore",
 lobj.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore,
   lobj",
 main;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 main.impl;
  uses:="main,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 main.util;
  uses:="org.eclipse.emf.common.notify.impl,
   main,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.bpmn2,
 org.eclipse.bpmn2.di,
 org.eclipse.bpmn2.di.impl,
 org.eclipse.bpmn2.di.util,
 org.eclipse.bpmn2.impl,
 org.eclipse.bpmn2.util,
 org.eclipse.dd.dc,
 org.eclipse.dd.dc.impl,
 org.eclipse.dd.dc.util,
 org.eclipse.dd.di,
 org.eclipse.dd.di.impl,
 org.eclipse.dd.di.util,
 org.eclipse.emf.teneo.rental;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.rental.impl;
  uses:="org.eclipse.emf.teneo.rental,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.rental.model,
 org.eclipse.emf.teneo.rental.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.rental,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.rental.validation;
  uses:="org.eclipse.emf.teneo.rental,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.any,
 org.eclipse.emf.teneo.samples.emf.annotations.any.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.any.util,
 org.eclipse.emf.teneo.samples.emf.annotations.associationoverride;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.associationoverride.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.associationoverride,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.associationoverride.model,
 org.eclipse.emf.teneo.samples.emf.annotations.associationoverride.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.associationoverride,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.associationoverride.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.associationoverride",
 org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides.model,
 org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.attributeoverrides",
 org.eclipse.emf.teneo.samples.emf.annotations.attroverridesecondarytable,
 org.eclipse.emf.teneo.samples.emf.annotations.attroverridesecondarytable.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.attroverridesecondarytable.util,
 org.eclipse.emf.teneo.samples.emf.annotations.basic;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.basic.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.basic,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.basic.model,
 org.eclipse.emf.teneo.samples.emf.annotations.basic.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.basic,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.basic.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall.model,
 org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.cascadenotall,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.column;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.column.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.column,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.column.model,
 org.eclipse.emf.teneo.samples.emf.annotations.column.util;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.column,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.column.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.compositeid;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.compositeid.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.teneo.samples.emf.annotations.compositeid",
 org.eclipse.emf.teneo.samples.emf.annotations.compositeid.model,
 org.eclipse.emf.teneo.samples.emf.annotations.compositeid.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.compositeid,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.compositeid.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.duplicates;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.duplicates.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.duplicates,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.duplicates.model,
 org.eclipse.emf.teneo.samples.emf.annotations.duplicates.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.duplicates,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.duplicates.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.eavlibrary,
 org.eclipse.emf.teneo.samples.emf.annotations.eavlibrary.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.eavlibrary.util,
 org.eclipse.emf.teneo.samples.emf.annotations.eavlibrary.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn.model,
 org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.edatatypeColumn.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.embedded;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.embedded.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.embedded,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.embedded.model,
 org.eclipse.emf.teneo.samples.emf.annotations.embedded.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.embedded,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.embedded.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.embedded,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.embeddedid;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.embeddedid.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.embeddedid,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.embeddedid.model,
 org.eclipse.emf.teneo.samples.emf.annotations.embeddedid.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.embeddedid,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.embeddedid.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.embeddedid",
 org.eclipse.emf.teneo.samples.emf.annotations.entity;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.entity.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore,
   org.eclipse.emf.teneo.samples.emf.annotations.entity",
 org.eclipse.emf.teneo.samples.emf.annotations.entity.model,
 org.eclipse.emf.teneo.samples.emf.annotations.entity.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore,
   org.eclipse.emf.teneo.samples.emf.annotations.entity",
 org.eclipse.emf.teneo.samples.emf.annotations.entity.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.external,
 org.eclipse.emf.teneo.samples.emf.annotations.external.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.external.util,
 org.eclipse.emf.teneo.samples.emf.annotations.extralazy;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.extralazy.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.extralazy,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.extralazy.model,
 org.eclipse.emf.teneo.samples.emf.annotations.extralazy.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.extralazy,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.extralazy.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag.model,
 org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.forcedidbag.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id.model,
 org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.hb.generator.id.validation;
  uses:="javax.xml.datatype",
 org.eclipse.emf.teneo.samples.emf.annotations.hbcascade,
 org.eclipse.emf.teneo.samples.emf.annotations.hbcascade.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.hbcascade.util,
 org.eclipse.emf.teneo.samples.emf.annotations.hbmapkeys,
 org.eclipse.emf.teneo.samples.emf.annotations.hbmapkeys.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.hbmapkeys.util,
 org.eclipse.emf.teneo.samples.emf.annotations.hibernate,
 org.eclipse.emf.teneo.samples.emf.annotations.hibernate.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.hibernate.util,
 org.eclipse.emf.teneo.samples.emf.annotations.id;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.id.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.id,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.id.model,
 org.eclipse.emf.teneo.samples.emf.annotations.id.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.id,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.id.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.idbag;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.idbag.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.idbag,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.idbag.model,
 org.eclipse.emf.teneo.samples.emf.annotations.idbag.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.teneo.samples.emf.annotations.idbag,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.idbag.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping.model,
 org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.inheritancemapping",
 org.eclipse.emf.teneo.samples.emf.annotations.integerdiscriminator,
 org.eclipse.emf.teneo.samples.emf.annotations.integerdiscriminator.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.integerdiscriminator.util,
 org.eclipse.emf.teneo.samples.emf.annotations.joincolumns;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.joincolumns.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.joincolumns,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.joincolumns.model,
 org.eclipse.emf.teneo.samples.emf.annotations.joincolumns.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.joincolumns,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.joincolumns.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.joincolumns,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.lazy;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.lazy.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.lazy,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.lazy.model,
 org.eclipse.emf.teneo.samples.emf.annotations.lazy.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.lazy,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.lazy.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.lazy",
 org.eclipse.emf.teneo.samples.emf.annotations.lob;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.lob.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.lob,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.lob.model,
 org.eclipse.emf.teneo.samples.emf.annotations.lob.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.lob,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.lob.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.manytomany;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.manytomany.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.manytomany,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.manytomany.model,
 org.eclipse.emf.teneo.samples.emf.annotations.manytomany.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.manytomany,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.manytomany.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.mapkey;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.mapkey.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.mapkey,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.mapkey.model,
 org.eclipse.emf.teneo.samples.emf.annotations.mapkey.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.mapkey,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.mapkey.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.mapkey,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass.model,
 org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.mappedsuperclass.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.naturalId,
 org.eclipse.emf.teneo.samples.emf.annotations.naturalId.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.naturalId.util,
 org.eclipse.emf.teneo.samples.emf.annotations.nmset;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.nmset.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.nmset,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.nmset.model,
 org.eclipse.emf.teneo.samples.emf.annotations.nmset.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.nmset,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.nmset.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.otopk,
 org.eclipse.emf.teneo.samples.emf.annotations.otopk.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.otopk.util,
 org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin.model,
 org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.primarykeyjoin",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytable;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytable.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.secondarytable,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytable.model,
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytable.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.secondarytable,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytable.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate.model,
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.secondarytablehibernate.validation,
 org.eclipse.emf.teneo.samples.emf.annotations.set;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.set.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.set,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.set.model,
 org.eclipse.emf.teneo.samples.emf.annotations.set.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.set,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.set.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.set,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.toone;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.toone.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.toone,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.toone.model,
 org.eclipse.emf.teneo.samples.emf.annotations.toone.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.annotations.toone,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.toone.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.toone",
 org.eclipse.emf.teneo.samples.emf.annotations.transent;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.transent.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.transent,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.transent.model,
 org.eclipse.emf.teneo.samples.emf.annotations.transent.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.teneo.samples.emf.annotations.transent,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.transent.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.transent",
 org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints.model,
 org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.annotations.uniqueconstraints",
 org.eclipse.emf.teneo.samples.emf.annotations.various,
 org.eclipse.emf.teneo.samples.emf.annotations.various.impl,
 org.eclipse.emf.teneo.samples.emf.annotations.various.util,
 org.eclipse.emf.teneo.samples.emf.detach.detachelist;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachelist.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.detach.detachelist,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachelist.model,
 org.eclipse.emf.teneo.samples.emf.detach.detachelist.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.detach.detachelist,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.detach.detachelist.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap.model,
 org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap.presentation,
 org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap.provider;
  uses:="org.eclipse.emf.common,
   org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.edit.provider,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.detach.detachfeaturemap,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachtest;
  uses:="org.eclipse.emf.common.util,
   javax.xml.datatype,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachtest.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.detach.detachtest,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   javax.xml.datatype,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachtest.model,
 org.eclipse.emf.teneo.samples.emf.detach.detachtest.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.detach.detachtest,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.detach.detachtest.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.detach.detachtest,
   org.eclipse.emf.common.util,
   javax.xml.datatype,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.elist.featuremap;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.elist.featuremap.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.elist.featuremap,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.elist.featuremap.model,
 org.eclipse.emf.teneo.samples.emf.elist.featuremap.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.elist.featuremap,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.elist.featuremap.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.elist.featuremap,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.jpa2.associationoverride,
 org.eclipse.emf.teneo.samples.emf.jpa2.associationoverride.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.associationoverride.util,
 org.eclipse.emf.teneo.samples.emf.jpa2.collectiontable,
 org.eclipse.emf.teneo.samples.emf.jpa2.collectiontable.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.collectiontable.util,
 org.eclipse.emf.teneo.samples.emf.jpa2.elementcollection,
 org.eclipse.emf.teneo.samples.emf.jpa2.elementcollection.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.elementcollection.util,
 org.eclipse.emf.teneo.samples.emf.jpa2.maps,
 org.eclipse.emf.teneo.samples.emf.jpa2.maps.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.maps.util,
 org.eclipse.emf.teneo.samples.emf.jpa2.mapsid,
 org.eclipse.emf.teneo.samples.emf.jpa2.mapsid.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.mapsid.util,
 org.eclipse.emf.teneo.samples.emf.jpa2.ordercolumn,
 org.eclipse.emf.teneo.samples.emf.jpa2.ordercolumn.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.ordercolumn.util,
 org.eclipse.emf.teneo.samples.emf.jpa2.orphanremoval,
 org.eclipse.emf.teneo.samples.emf.jpa2.orphanremoval.impl,
 org.eclipse.emf.teneo.samples.emf.jpa2.orphanremoval.util,
 org.eclipse.emf.teneo.samples.emf.relation.relation1to1;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relation1to1.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.relation.relation1to1,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relation1to1.model,
 org.eclipse.emf.teneo.samples.emf.relation.relation1to1.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.relation.relation1to1,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relation1to1.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.relation.relation1to1",
 org.eclipse.emf.teneo.samples.emf.relation.relation1ton;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relation1ton.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.relation.relation1ton,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relation1ton.model,
 org.eclipse.emf.teneo.samples.emf.relation.relation1ton.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.relation.relation1ton,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.relation.relation1ton.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.relation.relation1ton",
 org.eclipse.emf.teneo.samples.emf.relation.relationntom;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relationntom.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.relation.relationntom,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relationntom.model,
 org.eclipse.emf.teneo.samples.emf.relation.relationntom.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.relation.relationntom,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.relation.relationntom.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.sample.accounting;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.accounting.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.sample.accounting,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.accounting.model,
 org.eclipse.emf.teneo.samples.emf.sample.accounting.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.teneo.samples.emf.sample.accounting,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.sample.accounting.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.accounting,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.sample.capa;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.capa.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.capa,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.capa.model,
 org.eclipse.emf.teneo.samples.emf.sample.capa.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.capa,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.catalog;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.catalog.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.sample.catalog,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.catalog.model,
 org.eclipse.emf.teneo.samples.emf.sample.catalog.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.sample.catalog,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.catalog.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.catalog,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.sample.claim,
 org.eclipse.emf.teneo.samples.emf.sample.claim.impl,
 org.eclipse.emf.teneo.samples.emf.sample.claim.model,
 org.eclipse.emf.teneo.samples.emf.sample.claim.util,
 org.eclipse.emf.teneo.samples.emf.sample.claim.validation,
 org.eclipse.emf.teneo.samples.emf.sample.dynamic;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.dynamic.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.dynamic,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.dynamic.model,
 org.eclipse.emf.teneo.samples.emf.sample.dynamic.util;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.dynamic,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.dynamic.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.sample.employee,
 org.eclipse.emf.teneo.samples.emf.sample.employee.impl,
 org.eclipse.emf.teneo.samples.emf.sample.employee.model,
 org.eclipse.emf.teneo.samples.emf.sample.employee.util,
 org.eclipse.emf.teneo.samples.emf.sample.employee.validation,
 org.eclipse.emf.teneo.samples.emf.sample.epo2;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.epo2.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.epo2,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.epo2.model,
 org.eclipse.emf.teneo.samples.emf.sample.epo2.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.epo2,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.epo2.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.epo2,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.sample.forum;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.forum.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.sample.forum,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.forum.model,
 org.eclipse.emf.teneo.samples.emf.sample.forum.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.forum,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.forum.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.forum,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.sample.inv;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.inv.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.inv,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.inv.model,
 org.eclipse.emf.teneo.samples.emf.sample.inv.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.inv,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.library;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.library.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.library,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.library.model,
 org.eclipse.emf.teneo.samples.emf.sample.library.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.library,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.library.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.library",
 org.eclipse.emf.teneo.samples.emf.sample.play;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.play.data,
 org.eclipse.emf.teneo.samples.emf.sample.play.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.sample.play,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.play.model,
 org.eclipse.emf.teneo.samples.emf.sample.play.util;
  uses:="org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.teneo.samples.emf.sample.play,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.play.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.play,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.sample.product;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.product.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.product,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.product.model,
 org.eclipse.emf.teneo.samples.emf.sample.product.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.product,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.sample.product.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.product,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo;
  uses:="org.eclipse.emf.common.util,
   javax.xml.datatype,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo,
   javax.xml.datatype,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo.model,
 org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo.util;
  uses:="org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.schemaprimerpo,
   org.eclipse.emf.common.util,
   javax.xml.datatype,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.model,
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.schoollibrary;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.schoollibrary.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library.impl,
   org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.schoollibrary,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.schoollibrary.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.library,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.schoollibrary,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.schoollibrary.schoollibrary.validation,
 org.eclipse.emf.teneo.samples.emf.sample.sunBooks;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.sunBooks.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.sunBooks,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.sunBooks.model,
 org.eclipse.emf.teneo.samples.emf.sample.sunBooks.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.emf.sample.sunBooks,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.sunBooks.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.sample.sunBooks,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.sample.workflow;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.workflow.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.sample.workflow,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.sample.workflow.model,
 org.eclipse.emf.teneo.samples.emf.sample.workflow.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.sample.workflow,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.anytype,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.attributes,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.datetime,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.documentroot,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.documentroot.impl,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.documentroot.util,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.documentroot.validation,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.duration,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.duration.impl,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.duration.util,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.duration.validation,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs;
  uses:="org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.ecoreattrs,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap.model,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.emap,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension.util;
  uses:="org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.extension,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.groupall,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.list;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.list.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.list,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.list.util;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.list,
   org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.list.validation,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.listunion;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.listunion.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.listunion,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.listunion.util;
  uses:="org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.listunion,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.listunion.validation;
  uses:="org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.mixed,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.model,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.modelgroup,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.modelgroup.impl,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.modelgroup.util,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.nestedgroup,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname;
  uses:="javax.xml.namespace,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname,
   javax.xml.namespace,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname.validation;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.qname,
   javax.xml.namespace,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.restriction;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.restriction.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.restriction,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.restriction.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.restriction,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.restriction.validation,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simplefeaturemap;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simplefeaturemap.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.simplefeaturemap,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simplefeaturemap.model,
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simplefeaturemap.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.simplefeaturemap,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes.util;
  uses:="org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes.validation;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.simpletypes",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitution;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitution.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitution,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitution.util;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitution,
   org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitutionzvon;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitutionzvon.impl;
  uses:="org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitutionzvon,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitutionzvon.util;
  uses:="org.eclipse.emf.ecore.xml.type.util,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.teneo.samples.emf.schemaconstructs.substitutionzvon,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.abstractreference;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.abstractreference.impl;
  uses:="org.eclipse.emf.teneo.samples.issues.abstractreference,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.abstractreference.model,
 org.eclipse.emf.teneo.samples.issues.abstractreference.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.issues.abstractreference,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.issues.abstractsuper,
 org.eclipse.emf.teneo.samples.issues.abstractsuper.impl,
 org.eclipse.emf.teneo.samples.issues.abstractsuper.model,
 org.eclipse.emf.teneo.samples.issues.abstractsuper.util,
 org.eclipse.emf.teneo.samples.issues.abstractsuper.validation,
 org.eclipse.emf.teneo.samples.issues.adept,
 org.eclipse.emf.teneo.samples.issues.adept.impl,
 org.eclipse.emf.teneo.samples.issues.adept.util,
 org.eclipse.emf.teneo.samples.issues.bagduplicate;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.bagduplicate.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.issues.bagduplicate,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.bagduplicate.model,
 org.eclipse.emf.teneo.samples.issues.bagduplicate.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.issues.bagduplicate,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.bz224991,
 org.eclipse.emf.teneo.samples.issues.bz224991.impl,
 org.eclipse.emf.teneo.samples.issues.bz224991.model,
 org.eclipse.emf.teneo.samples.issues.bz224991.util,
 org.eclipse.emf.teneo.samples.issues.bz225296,
 org.eclipse.emf.teneo.samples.issues.bz225296.impl,
 org.eclipse.emf.teneo.samples.issues.bz225296.model,
 org.eclipse.emf.teneo.samples.issues.bz225296.util,
 org.eclipse.emf.teneo.samples.issues.bz225296_2.ops,
 org.eclipse.emf.teneo.samples.issues.bz225296_2.ops.impl,
 org.eclipse.emf.teneo.samples.issues.bz225296_2.ops.util,
 org.eclipse.emf.teneo.samples.issues.bz225296_2.ops.validation,
 org.eclipse.emf.teneo.samples.issues.bz237361,
 org.eclipse.emf.teneo.samples.issues.bz237361.impl,
 org.eclipse.emf.teneo.samples.issues.bz237361.util,
 org.eclipse.emf.teneo.samples.issues.bz237498,
 org.eclipse.emf.teneo.samples.issues.bz237498.impl,
 org.eclipse.emf.teneo.samples.issues.bz237498.util,
 org.eclipse.emf.teneo.samples.issues.bz237790,
 org.eclipse.emf.teneo.samples.issues.bz237790.impl,
 org.eclipse.emf.teneo.samples.issues.bz237790.util,
 org.eclipse.emf.teneo.samples.issues.bz237994,
 org.eclipse.emf.teneo.samples.issues.bz237994.impl,
 org.eclipse.emf.teneo.samples.issues.bz237994.util,
 org.eclipse.emf.teneo.samples.issues.bz242995,
 org.eclipse.emf.teneo.samples.issues.bz242995.impl,
 org.eclipse.emf.teneo.samples.issues.bz242995.util,
 org.eclipse.emf.teneo.samples.issues.bz243024,
 org.eclipse.emf.teneo.samples.issues.bz243024.impl,
 org.eclipse.emf.teneo.samples.issues.bz243024.util,
 org.eclipse.emf.teneo.samples.issues.bz245634,
 org.eclipse.emf.teneo.samples.issues.bz245634.impl,
 org.eclipse.emf.teneo.samples.issues.bz245634.util,
 org.eclipse.emf.teneo.samples.issues.bz247785,
 org.eclipse.emf.teneo.samples.issues.bz247785.bz247785Sub,
 org.eclipse.emf.teneo.samples.issues.bz247785.bz247785Sub.impl,
 org.eclipse.emf.teneo.samples.issues.bz247785.bz247785Sub.util,
 org.eclipse.emf.teneo.samples.issues.bz247785.impl,
 org.eclipse.emf.teneo.samples.issues.bz247785.util,
 org.eclipse.emf.teneo.samples.issues.bz247939,
 org.eclipse.emf.teneo.samples.issues.bz247939.impl,
 org.eclipse.emf.teneo.samples.issues.bz247939.util,
 org.eclipse.emf.teneo.samples.issues.bz249246,
 org.eclipse.emf.teneo.samples.issues.bz249246.impl,
 org.eclipse.emf.teneo.samples.issues.bz249246.util,
 org.eclipse.emf.teneo.samples.issues.bz250239,
 org.eclipse.emf.teneo.samples.issues.bz250239.impl,
 org.eclipse.emf.teneo.samples.issues.bz250239.util,
 org.eclipse.emf.teneo.samples.issues.bz253799,
 org.eclipse.emf.teneo.samples.issues.bz253799.impl,
 org.eclipse.emf.teneo.samples.issues.bz253799.util,
 org.eclipse.emf.teneo.samples.issues.bz277546,
 org.eclipse.emf.teneo.samples.issues.bz277546.impl,
 org.eclipse.emf.teneo.samples.issues.bz277546.util,
 org.eclipse.emf.teneo.samples.issues.bz280355,
 org.eclipse.emf.teneo.samples.issues.bz280355.impl,
 org.eclipse.emf.teneo.samples.issues.bz280355.util,
 org.eclipse.emf.teneo.samples.issues.bz282414,
 org.eclipse.emf.teneo.samples.issues.bz282414.impl,
 org.eclipse.emf.teneo.samples.issues.bz282414.util,
 org.eclipse.emf.teneo.samples.issues.bz284859,
 org.eclipse.emf.teneo.samples.issues.bz284859.impl,
 org.eclipse.emf.teneo.samples.issues.bz284859.util,
 org.eclipse.emf.teneo.samples.issues.bz284859.validation,
 org.eclipse.emf.teneo.samples.issues.bz288963,
 org.eclipse.emf.teneo.samples.issues.bz288963.impl,
 org.eclipse.emf.teneo.samples.issues.bz288963.util,
 org.eclipse.emf.teneo.samples.issues.bz288963.validation,
 org.eclipse.emf.teneo.samples.issues.bz290969,
 org.eclipse.emf.teneo.samples.issues.bz290969.impl,
 org.eclipse.emf.teneo.samples.issues.bz290969.util,
 org.eclipse.emf.teneo.samples.issues.bz290969.validation,
 org.eclipse.emf.teneo.samples.issues.bz292151,
 org.eclipse.emf.teneo.samples.issues.bz292151.impl,
 org.eclipse.emf.teneo.samples.issues.bz292151.util,
 org.eclipse.emf.teneo.samples.issues.bz292151.validation,
 org.eclipse.emf.teneo.samples.issues.bz302933.bz302933_1,
 org.eclipse.emf.teneo.samples.issues.bz302933.bz302933_1.impl,
 org.eclipse.emf.teneo.samples.issues.bz302933.bz302933_1.util,
 org.eclipse.emf.teneo.samples.issues.bz302933.bz302933_2,
 org.eclipse.emf.teneo.samples.issues.bz302933.bz302933_2.impl,
 org.eclipse.emf.teneo.samples.issues.bz302933.bz302933_2.util,
 org.eclipse.emf.teneo.samples.issues.bz321765,
 org.eclipse.emf.teneo.samples.issues.bz321765.impl,
 org.eclipse.emf.teneo.samples.issues.bz321765.util,
 org.eclipse.emf.teneo.samples.issues.bz321770,
 org.eclipse.emf.teneo.samples.issues.bz321770.impl,
 org.eclipse.emf.teneo.samples.issues.bz321770.util,
 org.eclipse.emf.teneo.samples.issues.bz321773,
 org.eclipse.emf.teneo.samples.issues.bz321773.impl,
 org.eclipse.emf.teneo.samples.issues.bz321773.util,
 org.eclipse.emf.teneo.samples.issues.bz329275,
 org.eclipse.emf.teneo.samples.issues.bz329275.impl,
 org.eclipse.emf.teneo.samples.issues.bz329275.util,
 org.eclipse.emf.teneo.samples.issues.bz336501,
 org.eclipse.emf.teneo.samples.issues.bz336501.impl,
 org.eclipse.emf.teneo.samples.issues.bz336501.util,
 org.eclipse.emf.teneo.samples.issues.bz337580,
 org.eclipse.emf.teneo.samples.issues.bz337580.impl,
 org.eclipse.emf.teneo.samples.issues.bz337580.util,
 org.eclipse.emf.teneo.samples.issues.bz363777,
 org.eclipse.emf.teneo.samples.issues.bz363777.impl,
 org.eclipse.emf.teneo.samples.issues.bz363777.util,
 org.eclipse.emf.teneo.samples.issues.bz375705,
 org.eclipse.emf.teneo.samples.issues.bz375705.impl,
 org.eclipse.emf.teneo.samples.issues.bz375705.util,
 org.eclipse.emf.teneo.samples.issues.bz386607,
 org.eclipse.emf.teneo.samples.issues.bz386607.impl,
 org.eclipse.emf.teneo.samples.issues.bz386607.util,
 org.eclipse.emf.teneo.samples.issues.bz390774,
 org.eclipse.emf.teneo.samples.issues.bz390774.impl,
 org.eclipse.emf.teneo.samples.issues.bz390774.util,
 org.eclipse.emf.teneo.samples.issues.bz390775,
 org.eclipse.emf.teneo.samples.issues.bz390775.impl,
 org.eclipse.emf.teneo.samples.issues.bz390775.util,
 org.eclipse.emf.teneo.samples.issues.bz391134,
 org.eclipse.emf.teneo.samples.issues.bz391134.impl,
 org.eclipse.emf.teneo.samples.issues.bz391134.util,
 org.eclipse.emf.teneo.samples.issues.bz398161,
 org.eclipse.emf.teneo.samples.issues.bz398161.impl,
 org.eclipse.emf.teneo.samples.issues.bz398161.util,
 org.eclipse.emf.teneo.samples.issues.bz400088,
 org.eclipse.emf.teneo.samples.issues.bz400088.impl,
 org.eclipse.emf.teneo.samples.issues.bz400088.util,
 org.eclipse.emf.teneo.samples.issues.bz401710,
 org.eclipse.emf.teneo.samples.issues.bz401710.impl,
 org.eclipse.emf.teneo.samples.issues.bz401710.util,
 org.eclipse.emf.teneo.samples.issues.enumtest;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.enumtest.impl;
  uses:="org.eclipse.emf.teneo.samples.issues.enumtest,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.enumtest.model,
 org.eclipse.emf.teneo.samples.issues.enumtest.util;
  uses:="org.eclipse.emf.teneo.samples.issues.enumtest,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.issues.generaltest;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.generaltest.impl;
  uses:="org.eclipse.emf.teneo.samples.issues.generaltest,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.generaltest.model,
 org.eclipse.emf.teneo.samples.issues.generaltest.util;
  uses:="org.eclipse.emf.teneo.samples.issues.generaltest,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.generaltest.validation;
  uses:="org.eclipse.emf.teneo.samples.issues.generaltest,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.issues.inheritance;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.inheritance.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.issues.inheritance,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.inheritance.model,
 org.eclipse.emf.teneo.samples.issues.inheritance.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.issues.inheritance,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.issues.interfacetrue;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.interfacetrue.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.issues.interfacetrue,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.interfacetrue.model,
 org.eclipse.emf.teneo.samples.issues.interfacetrue.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.teneo.samples.issues.interfacetrue,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.largemapvalue,
 org.eclipse.emf.teneo.samples.issues.largemapvalue.impl,
 org.eclipse.emf.teneo.samples.issues.largemapvalue.model,
 org.eclipse.emf.teneo.samples.issues.largemapvalue.util,
 org.eclipse.emf.teneo.samples.issues.library,
 org.eclipse.emf.teneo.samples.issues.library.util,
 org.eclipse.emf.teneo.samples.issues.mtmsame;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.mtmsame.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.issues.mtmsame,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.mtmsame.model,
 org.eclipse.emf.teneo.samples.issues.mtmsame.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.issues.mtmsame,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.nav,
 org.eclipse.emf.teneo.samples.issues.nav.impl,
 org.eclipse.emf.teneo.samples.issues.nav.util,
 org.eclipse.emf.teneo.samples.issues.nav.validation,
 org.eclipse.emf.teneo.samples.issues.nocollectionowner,
 org.eclipse.emf.teneo.samples.issues.nocollectionowner.impl,
 org.eclipse.emf.teneo.samples.issues.nocollectionowner.util,
 org.eclipse.emf.teneo.samples.issues.nocollectionowner.validation,
 org.eclipse.emf.teneo.samples.issues.nonmandatoryjoincolumn,
 org.eclipse.emf.teneo.samples.issues.nonmandatoryjoincolumn.impl,
 org.eclipse.emf.teneo.samples.issues.nonmandatoryjoincolumn.util,
 org.eclipse.emf.teneo.samples.issues.refresh;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.refresh.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.issues.refresh,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.refresh.model,
 org.eclipse.emf.teneo.samples.issues.refresh.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.teneo.samples.issues.refresh,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.issues.resource;
  uses:="org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.resource.impl;
  uses:="org.eclipse.emf.teneo.samples.issues.resource,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.resource.model,
 org.eclipse.emf.teneo.samples.issues.resource.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.issues.resource,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.issues.resourceunload,
 org.eclipse.emf.teneo.samples.issues.resourceunload.impl,
 org.eclipse.emf.teneo.samples.issues.resourceunload.model,
 org.eclipse.emf.teneo.samples.issues.resourceunload.util,
 org.eclipse.emf.teneo.samples.issues.secondary,
 org.eclipse.emf.teneo.samples.issues.secondary.impl,
 org.eclipse.emf.teneo.samples.issues.secondary.util,
 org.eclipse.emf.teneo.samples.issues.simplearray,
 org.eclipse.emf.teneo.samples.issues.simplearray.impl,
 org.eclipse.emf.teneo.samples.issues.simplearray.util,
 org.eclipse.emf.teneo.samples.issues.simplenm;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.simplenm.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.issues.simplenm,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.simplenm.model,
 org.eclipse.emf.teneo.samples.issues.simplenm.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.teneo.samples.issues.simplenm,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 org.eclipse.emf.teneo.samples.issues.top,
 org.eclipse.emf.teneo.samples.issues.top.impl,
 org.eclipse.emf.teneo.samples.issues.top.util,
 org.eclipse.emf.teneo.samples.issues.top.validation,
 org.eclipse.emf.teneo.samples.issues.topclasses;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.topclasses.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.teneo.samples.issues.topclasses,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.topclasses.model,
 org.eclipse.emf.teneo.samples.issues.topclasses.util;
  uses:="org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.teneo.samples.issues.topclasses,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.transientsuper;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.transientsuper.impl;
  uses:="org.eclipse.emf.teneo.samples.issues.transientsuper,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.transientsuper.model,
 org.eclipse.emf.teneo.samples.issues.transientsuper.util;
  uses:="org.eclipse.emf.teneo.samples.issues.transientsuper,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.update;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.update.impl;
  uses:="org.eclipse.emf.teneo.samples.issues.update,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 org.eclipse.emf.teneo.samples.issues.update.model,
 org.eclipse.emf.teneo.samples.issues.update.util;
  uses:="org.eclipse.emf.teneo.samples.issues.update,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.eclipse.emf.test.databinding.emfdb,
 org.eclipse.emf.test.databinding.emfdb.impl,
 org.eclipse.emf.test.databinding.emfdb.util,
 org.eclipse.emf.test.databinding.emfdb.validation,
 org.eclipse.example.library,
 org.eclipse.example.library.impl,
 org.eclipse.example.library.model,
 org.eclipse.example.library.util,
 org.eclipse.example.library.validation,
 org.example.mindmap;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.example.mindmap.impl;
  uses:="org.example.mindmap,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 org.example.mindmap.model,
 org.example.mindmap.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.example.mindmap,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.resource,
   org.eclipse.emf.ecore",
 org.w3._2000._09.xmldsig,
 org.w3._2000._09.xmldsig.impl,
 org.w3._2000._09.xmldsig.util,
 tc.apple;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 tc.apple.impl;
  uses:="org.eclipse.emf.ecore.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   tc.apple,
   org.eclipse.emf.ecore.util,
   org.eclipse.emf.ecore",
 tc.apple.util;
  uses:="org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.common.notify.impl,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   tc.apple,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 tc.apple.validation;
  uses:="org.eclipse.emf.common.util,
   tc.apple,
   org.eclipse.emf.ecore.util",
 tc.tree;
  uses:="org.eclipse.emf.ecore",
 tc.tree.impl;
  uses:="tc.tree,
   org.eclipse.emf.ecore.impl,
   org.eclipse.emf.ecore",
 tc.tree.util;
  uses:="org.eclipse.emf.common.notify.impl,
   tc.tree,
   org.eclipse.emf.ecore.xmi.util,
   org.eclipse.emf.ecore.resource.impl,
   org.eclipse.emf.ecore.xmi.impl,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore,
   org.eclipse.emf.ecore.resource",
 tc.tree.validation,
 temporal,
 temporal.impl,
 temporal.mod,
 temporal.util,
 testinheritance;
  uses:="org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 testinheritance.impl;
  uses:="org.eclipse.emf.ecore.impl,
   testinheritance,
   org.eclipse.emf.common.util,
   org.eclipse.emf.ecore",
 testinheritance.model,
 testinheritance.util;
  uses:="org.eclipse.emf.common.notify.impl,
   testinheritance,
   org.eclipse.emf.common.notify,
   org.eclipse.emf.ecore",
 testinheritance.validation;
  uses:="testinheritance,
   org.eclipse.emf.common.util",
 org.eclipse.emf.teneo.samples.emf.annotations.compositefkid,
 org.eclipse.emf.teneo.samples.emf.annotations.compositefkid.impl,
 org.eclipse.emf.teneo.samples.issues.refreshextra,
 org.eclipse.emf.teneo.samples.issues.refreshextra.impl,
 org.eclipse.emf.teneo.samples.issues.refreshextra.util
Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: J2SE-1.5
